import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, l = (c, e, i, s) => {
  for (var t = s > 1 ? void 0 : s ? v(e, i) : e, o = c.length - 1, p; o >= 0; o--)
    (p = c[o]) && (t = (s ? p(e, i, t) : p(t)) || t);
  return s && t && m(e, i, t), t;
};
let r = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--list", this.class = "c-pieIcon c-pieIcon--list", this.name = "IconList";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--list"><path d="M2.313 11.938a1.312 1.312 0 1 0 0-2.625 1.312 1.312 0 0 0 0 2.624"></path><path d="M14.125 4.719h-8.75V6.03h8.348z"></path><path d="M2.313 6.688a1.313 1.313 0 1 0 0-2.626 1.313 1.313 0 0 0 0 2.625"></path><path d="M12.506 9.969H5.375v1.312h6.729z"></path></svg>`;
  }
};
l([
  n({ type: String, reflect: !0 })
], r.prototype, "size", 2);
l([
  n({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = l([
  f("icon-list")
], r);
export {
  r as IconList
};
